List a lesson's declared versions
curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/lessons/{lessonId}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/powerpath/lessons/{lessonId}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/powerpath/lessons/{lessonId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lessonId": "<string>",
"versions": [
{
"id": "<string>",
"lessonId": "<string>",
"version": 123,
"baseline": true,
"resourceIds": [
"<string>"
],
"changed": {
"items": [
"<string>"
],
"article": true,
"video": true,
"checkpoints": [
"<string>"
]
},
"declaredAt": "<string>",
"declaredByClientId": "<string>",
"requestId": "<string>",
"reason": "<string>",
"run": {
"eligible": 1,
"reassigned": 1,
"failed": 1,
"remaining": 1,
"ranAt": "<string>",
"reassignedTotal": 1
},
"snapshot": {
"takenAt": "<string>",
"lessonId": "<string>",
"resourceIds": [
"<string>"
],
"parts": [
{
"kind": "practice-set",
"componentResourceId": "<string>",
"resourceId": "<string>",
"test": "<string>",
"items": [
{
"identifier": "<string>",
"sha256": "<string>",
"updatedAt": "<string>",
"version": 123,
"updatedBy": "<string>"
}
]
}
]
}
}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}Lesson Plans
List a lesson's declared versions
Newest first; snapshot=true includes each receipt.
GET
/
powerpath
/
lessons
/
{lessonId}
/
versions
List a lesson's declared versions
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Course component sourcedId of the lesson
Query Parameters
true: include each receipt
Available options:
true, false ⌘I